Check if server can start
GET/api/v3/servers/:server_id/can-start
Required scopes: server:read
Whether the server can be started now with POST /api/v3/servers/{server_id}/power-actions and action start. can_action is false for a physical server, which only has reboot, and for the server of a private cloud; also while the server is not ready, its service is not active or is under maintenance, another operation does not allow the action, or the virtual machine is already running
Request
Responses
- 200
- 400
- 401
- 403
- 404
- 429
- 500
OK
The request is not valid: error 1000 with the errors for each field in meta.errors, error 1001 (or 1) for other invalid input
The access token is missing, invalid, expired or revoked (error 1100): request a new token and retry once
The access token is valid but not enough: missing scope (error 1101), token for the other API (error 1102), missing permission, feature not included in the plan, operation not available to sub-accounts, internal API without administrator privileges or IP address not allowed (error 1601). A new token does not change the result
The resource does not exist or does not belong to the account (error 1200)
Too many requests (error 1300): retry after the seconds in the Retry-After header
Response Headers
Seconds to wait before retrying
Unexpected server error (error 1500)